Summary: A wysiwyg mathematical text editor
Name: TeXmacs
Version: 0.3.5.2
Release: 1
Url: http://www.texmacs.org
Source: ftp://ftp.texmacs.org/pub/TeXmacs/TeXmacs-%{version}-src.tar.gz
License: GNU GPL 2.0
Packager: Joris van der Hoeven <vdhoeven@texmacs.org>
Distribution: GNU/Linux
Vendor: Jo the ripper software
Group: Applications/Editors
Requires: tetex
Buildrequires: guile-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description

GNU TeXmacs is a free what-you-see-is-what-you-get mathematical text editor,
which was both inspired by TeX and GNU Emacs. The program implements
high quality typesetting using TeX fonts, but it is also provides
a user friendly interface.

The high typesetting quality still goes through for automatically
generated formulas, and it is possible to use TeXmacs as an interface
to computer algebra systems. GNU TeXmacs also supports the Guile/Scheme
extension language, which makes it possible to adapt the user interface
to specific needs and even to extend the editor.

%prep
%setup -q -n TeXmacs-%{version}-src

%build
%ifarch i386 i486 i586 i686 i786 i886 i986 k5 k6 k7 k8 k9
    OPTFLAGS="-O3 -fexpensive-optimizations -malign-loops=2 -malign-jumps=2 -malign-functions=2"
%else
%ifarch sparc sparc64
    OPTFLAGS="-O3 -fexpensive-optimizations"
%else
%ifarch ppc
    OPTFLAGS="-O3 -fsigned-char"
%else
    OPTFLAGS="-O2"
%endif
%endif
%endif
export CXXFLAGS="$OPTFLAGS"
%configure
make CXXFLAGS="$OPTFLAGS" STATIC_TEXMACS

%install
make DESTDIR=$RPM_BUILD_ROOT install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs
chmod 644 $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs/ice-9/*
chmod 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs-%{version}/progs/ice-9

%files
%{_bindir}/fig2ps
%{_bindir}/texmacs
%{_includedir}/TeXmacs.h
%doc %{_mandir}/*/*
%{_libexecdir}/TeXmacs-%{version}
%{_datadir}/TeXmacs-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Thu Jul 5 2001   Joris van der Hoeven & Christophe Merlet
- 0.3.5.2 Further corrections

* Sun Jun 3 2001   Bo Forslund  <bo.forslund@abc.se>
- 0.3.5.2 Some tiny adjustments in the spec
