
/******************************************************************************
* MODULE     : format.gen.h
* DESCRIPTION: standard formats for placing material
* COPYRIGHT  : (C) 1999  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <formatter.gen.h>

#module format
#import formatter

struct format_none_rep: public format_rep {
  format_none_rep ():
    format_rep (FORMAT_NONE) {}
  format_none_rep (format_type ft):
    format_rep (ft) {}
  bool equal (format fm);
  operator tree ();
};

struct format_none {
#import extend_null (format, format_none, format_none_rep)
};
#import code_extend_null (format, format_none, format_none_rep)

struct format_width_rep: public format_rep {
  SI width;
  format_width_rep (SI width2): format_rep (FORMAT_WIDTH), width (width2)
  { ref_count= 1; }
  bool equal (format fm);
  operator tree ();
};

struct format_width {
#import extend_null (format, format_width, format_width_rep)
};
#import code_extend_null (format, format_width, format_width_rep)

struct format_cell_rep: public format_rep {
  SI width;
  string vpos, vcorrect;
  format_cell_rep (SI width2, string vpos2, string vcorrect2):
    format_rep (FORMAT_CELL),
    width (width2), vpos (vpos2), vcorrect (vcorrect2)
  { ref_count= 1; }
  bool equal (format fm);
  operator tree ();
};

struct format_cell {
#import extend (format, format_cell, format_cell_rep)
};
#import code_extend (format, format_cell, format_cell_rep)

#endmodule // format
