
/******************************************************************************
* MODULE     : pager.gen.cc
* DESCRIPTION: Places typesetted paragraphs on pages
* COPYRIGHT  : (C) 1999  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <typesetter.gen.h>
#include <Format/line_item.gen.h>
#include <Format/page_item.gen.h>
#include <Format/stack_border.gen.h>

#module pager
#import typesetter
#import line_item
#import page_item
#import stack_border
#import array (box)
#import array (path)
#import array (int)
typedef array<int> array<bool>;

class pager_rep {
public:
  edit_env             env;
  hashmap<string,tree> style;
  array<page_item>     l;

  bool         paper;
  bool         show_hf;
  SI           text_height;
  SI           width;
  SI           height;
  SI           odd;
  SI           even;
  SI           top;
  SI           bot;
  SI           head_sep;
  SI           foot_sep;

  SI           cur_top;
  array<box>   pages;

  space        cur_spc;
  space        cur_sep;
  array<box>   lines_bx;
  array<space> lines_ht;

public:
  pager_rep (edit_env env, array<page_item> l);

  void start_page ();
  void print (page_item item);
  void end_page (bool flag);
  box  make_header ();
  box  make_footer ();
  box  make_pages ();

  friend class stacker_rep;
  friend box typeset_paragraph (edit_env env, tree t, path ip);
  friend box typeset_document (edit_env env, tree t, path ip);
};

typedef pager_rep* pager;

#endmodule // pager
